DOM::DocumentType Class Reference

`#include <dom_doc.h>`

Inheritance diagram for DOM::DocumentType:

## Public Member Functions

| DocumentType (const DocumentType &other)
| DocumentType (const Node &other)
DocumentType & | operator= (const Node &other)
DocumentType & | operator= (const DocumentType &other)
DOMString | name () const
NamedNodeMap | entities () const
NamedNodeMap | notations () const
DOMString | publicId () const
DOMString | systemId () const
DOMString | internalSubset () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| DocumentType (DocumentTypeImpl *impl)

## Friends

class | Document
class | DOMImplementation

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

Each `Document` has a `doctype` attribute whose value is either `null` or a `DocumentType` object.

The `DocumentType` interface in the DOM Level 1 Core provides an interface to the list of entities that are defined for the document, and little else because the effect of namespaces and the various XML scheme efforts on DTD representation are not clearly understood as of this writing.

The DOM Level 1 doesn't support editing `DocumentType` nodes.

Definition at line 1028 of file dom_doc.h.

## Member Function Documentation

NamedNodeMap DOM::DocumentType::entities | ( |  | ) | const

A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD.

Duplicates are discarded. For example in: <!DOCTYPE ex SYSTEM "ex.dtd" [ <!ENTITY foo "foo"> <!ENTITY bar "bar"> <!ENTITY % baz "baz"> ]> <ex/> the interface provides access to `foo` and `bar` but not `baz` . Every node in this map also implements the `Entity` interface.

The DOM Level 1 does not support editing entities, therefore `entities` cannot be altered in any way.

Definition at line 644 of file dom_doc.cpp.

DOMString DOM::DocumentType::internalSubset | ( |  | ) | const

Introduced in DOM Level 2.

The internal subset as a string.

Note: The actual content returned depends on how much information is available to the implementation. This may vary depending on various parameters, including the XML processor used to build the document.

Definition at line 676 of file dom_doc.cpp.

DOMString DOM::DocumentType::name | ( |  | ) | const

The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.

Definition at line 636 of file dom_doc.cpp.

NamedNodeMap DOM::DocumentType::notations | ( |  | ) | const

A `NamedNodeMap` containing the notations declared in the DTD.

Duplicates are discarded. Every node in this map also implements the `Notation` interface.

The DOM Level 1 does not support editing notations, therefore `notations` cannot be altered in any way.

Definition at line 652 of file dom_doc.cpp.

DOMString DOM::DocumentType::publicId | ( |  | ) | const

Introduced in DOM Level 2.

The public identifier of the external subset.

Definition at line 660 of file dom_doc.cpp.

DOMString DOM::DocumentType::systemId | ( |  | ) | const

Introduced in DOM Level 2.

The system identifier of the external subset.

Definition at line 668 of file dom_doc.cpp.

The documentation for this class was generated from the following files:

- dom_doc.h
- dom_doc.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys